package com.pss.pssgerenciamentoderepublica.view;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JTable;
import javax.swing.JTextField;

public class ManterFeedbackView extends javax.swing.JFrame {

    /**
     * Creates new form ManterReclamacaoView
     */
    public ManterFeedbackView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        cbbBusca = new javax.swing.JComboBox<>();
        txfBusca = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblReclamacaoSugestao = new javax.swing.JTable();
        btnCadastro = new javax.swing.JButton();
        btnEditar = new javax.swing.JButton();
        btnExcluir = new javax.swing.JButton();
        btnVerInformacoes = new javax.swing.JButton();
        btnBuscar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Manter Reclamações / Sugestões");

        cbbBusca.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Pessoa", "República", " " }));

        tblReclamacaoSugestao.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Data", "Tipo", "Autor", "Descrição", "Envolvidos", "Finalizado"
            }
        ));
        jScrollPane1.setViewportView(tblReclamacaoSugestao);
        if (tblReclamacaoSugestao.getColumnModel().getColumnCount() > 0) {
            tblReclamacaoSugestao.getColumnModel().getColumn(0).setMinWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(0).setMaxWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(1).setMinWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(1).setMaxWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(2).setMinWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(2).setMaxWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(3).setMinWidth(350);
            tblReclamacaoSugestao.getColumnModel().getColumn(3).setMaxWidth(350);
            tblReclamacaoSugestao.getColumnModel().getColumn(5).setMinWidth(100);
            tblReclamacaoSugestao.getColumnModel().getColumn(5).setMaxWidth(100);
        }

        btnCadastro.setText("Cadastrar Nova Sugestão / Reclamação");

        btnEditar.setText("Editar");
        btnEditar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEditarActionPerformed(evt);
            }
        });

        btnExcluir.setText("Excluir");

        btnVerInformacoes.setText("Ver Informações");

        btnBuscar.setText("Buscar");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(cbbBusca, javax.swing.GroupLayout.PREFERRED_SIZE, 128, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(txfBusca, javax.swing.GroupLayout.PREFERRED_SIZE, 592, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnBuscar, javax.swing.GroupLayout.DEFAULT_SIZE, 126, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(btnCadastro)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(btnVerInformacoes)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnExcluir)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnEditar, javax.swing.GroupLayout.PREFERRED_SIZE, 72, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cbbBusca, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txfBusca, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnBuscar))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 250, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnCadastro)
                    .addComponent(btnEditar)
                    .addComponent(btnExcluir)
                    .addComponent(btnVerInformacoes))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnEditarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEditarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnEditarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnBuscar;
    private javax.swing.JButton btnCadastro;
    private javax.swing.JButton btnEditar;
    private javax.swing.JButton btnExcluir;
    private javax.swing.JButton btnVerInformacoes;
    private javax.swing.JComboBox<String> cbbBusca;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable tblReclamacaoSugestao;
    private javax.swing.JTextField txfBusca;
    // End of variables declaration//GEN-END:variables

    public JButton getBtnBuscar() {
        return btnBuscar;
    }

    public JButton getBtnCadastro() {
        return btnCadastro;
    }

    public JButton getBtnEditar() {
        return btnEditar;
    }

    public JButton getBtnExcluir() {
        return btnExcluir;
    }

    public JButton getBtnVerInformacoes() {
        return btnVerInformacoes;
    }

    public JComboBox<String> getCbbBusca() {
        return cbbBusca;
    }

    public JTable getTblReclamacaoSugestao() {
        return tblReclamacaoSugestao;
    }

    public JTextField getTxfBusca() {
        return txfBusca;
    }



}
